@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

:root {
	--primary-color: #ed6c02;
	--secondary-color: #0a0b0f;
	--text-light: #6b7280;
	--white: #ffffff;
	--max-width: 1200px;
}

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

.section__container {
	max-width: var(--max-width);
	margin: auto;
	padding: 5rem 1rem;
}

.section__subheader {
	font-size: 1rem;
	font-weight: 500;
	color: var(--primary-color);
}

.section__header {
	font-size: 2.5rem;
	font-weight: 700;
	line-height: 3.5rem;
	color: var(--secondary-color);
}

.section__description {
	margin-bottom: 2rem;
	color: var(--text-light);
}

.btn {
	padding: 0.75rem 1.5rem;
	font-size: 1rem;
	color: var(--white);
	background-color: var(--primary-color);
	outline: none;
	border: none;
	border-radius: 5px;
	transition: 0.3s;
	cursor: pointer;
}

.btn:hover {
	background-color: #fe8b2c;
}

img {
	width: 100%;
	display: flex;
}

.logo img {
	max-width: 250px;
}

a {
	text-decoration: none;
}

ul {
	list-style: none;
}

html,
body {
	scroll-behavior: smooth;
}

body {
	font-family: 'Poppins', sans-serif;
}

.header {
	background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.5)),
		url('assets/header.jpg');
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
	height: 100vh;
}

nav {
	position: fixed;
	isolation: isolate;
	top: 0;
	width: 100%;
	max-width: var(--max-width);
	margin: auto;
	z-index: 9;
}

.nav__bar {
	padding: 1rem;
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 2rem;
	background-color: var(--secondary-color);
}

.nav__menu__btn {
	font-size: 1.8rem;
	padding: 16px;
	color: var(--white);
	cursor: pointer;
}

.nav__links {
	position: absolute;
	width: 100%;
	padding: 2rem;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 2rem;
	background-color: var(--secondary-color);
	transform: translateY(-100%);
	transition: 0.5s;
	z-index: -1;
}

.nav__links.open {
	transform: translateY(0);
}

.nav__links a {
	color: var(--white);
	transition: 0.3s;
}

.nav__links img {
	max-width: 180px;
	cursor: pointer;
}

.nav__links a:hover {
	color: var(--primary-color);
}

.header__content {
	max-width: 800px;
	max-height: 100vh;
}

.header__content h1 {
	margin-block: 4rem;
	font-size: 2rem;
	font-weight: 600;
	line-height: 3.2rem;
	color: var(--white);
}

.experience__container {
	display: grid;
	gap: 2rem;
}

.experience__image img {
	max-height: 440px;
	width: auto;
	margin: auto;
	border-radius: 16px;
}

.banner__container {
	position: relative;
	display: grid;
	grid-auto-rows: minmax(0, 350px);
	place-content: center;
	background-color: #0f0f0f;
}

.banner__card {
	padding: 0rem 2rem;
	display: grid;
	place-content: center;
	text-align: center;
}

.banner__card h5 {
	color: #ffffff;
	font-size: 1.4rem;
	font-weight: 600;
	margin-bottom: 20px;
}

.banner__card h4 {
	max-width: 300px;
	margin: auto;
	font-size: 1.2rem;
	font-weight: 400;
	color: white;
}

.banner__card i {
	font-size: 2rem;
	margin-bottom: 16px;
	color: var(--primary-color);
}

.service {
	background-color: #f6f5fc;
}

.service__container {
	text-align: center;
}

.service__grid {
	margin-top: 4rem;
	display: grid;
	gap: 4rem 2rem;
}

.service__card i {
	font-size: 3rem;
	max-width: 150px;
	margin-inline: auto;
	margin-bottom: 1rem;
	border-radius: 100%;
}

.service__card h4 {
	margin-bottom: 0.5rem;
	font-size: 1.2rem;
	font-weight: 600;
	color: var(--secondary-color);
}

.service__card p {
	color: var(--text-light);
}

.customisation {
	background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
		url('assets/customisation.jpg');
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
}

.customisation__container {
	text-align: center;
}

.customisation__container :is(.section__header, .section__description) {
	max-width: 750px;
	margin: auto;
	color: var(--white);
}

.customisation__grid {
	margin-top: 4rem;
	display: grid;
	gap: 4rem 2rem;
}

.customisation__card h4 {
	font-size: 3rem;
	font-weight: 700;
	color: var(--white);
}

.customisation__card p {
	color: var(--white);
}

.map p {
	font-size: 1.4rem;
	margin-bottom: 20px;
	text-align: center;
}
.map i {
	font-size: 2rem;
	padding: 14px;
}

.footer {
	background-color: var(--secondary-color);
}

.footer__container {
	display: grid;
	gap: 4rem 2rem;
}

.footer__logo {
	margin-bottom: 2rem;
}

.footer__socials {
	display: flex;
	align-items: center;
	gap: 1rem;
}

.footer__col h4 {
	margin-bottom: 2rem;
	font-size: 1.2rem;
	font-weight: 600;
	color: var(--white);
}

.footer__links li {
	margin-bottom: 4px;
	color: var(--text-light);
}

.footer__links p {
	color: var(--text-light);
}

.footer__links p span {
	font-weight: 500;
	color: var(--white);
}

.footer__bar {
	padding: 1rem;
	font-size: 1rem;
	color: var(--white);
	background-color: var(--secondary-color);
	text-align: center;
}

@media (width > 480px) {
	.header__content h1 {
		font-size: 3rem;
		line-height: 3.5rem;
	}

	.banner__container {
		grid-template-columns: repeat(2, 1fr);
	}

	.service__grid {
		grid-template-columns: repeat(2, 1fr);
	}

	.customisation__grid {
		grid-template-columns: repeat(2, 1fr);
	}

	.footer__container {
		grid-template-columns: repeat(2, 1fr);
	}

	.footer__col:first-child {
		grid-column: 1/3;
	}
}

@media (width > 768px) {
	nav {
		padding: 2rem 1rem;
		position: static;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.nav__bar {
		padding: 0;
		background-color: transparent;
	}

	.nav__menu__btn {
		display: none;
	}

	.nav__links {
		padding: 0;
		width: unset;
		position: static;
		transform: none;
		flex-direction: row;
		background-color: transparent;
	}

	.header {
		padding-top: 0;
		height: 80vh;
	}

	.header__content h1 {
		font-size: 3rem;
		line-height: 3.5rem;
	}

	.banner__container {
		grid-template-columns: repeat(3, 1fr);
	}

	.experience__container {
		grid-template-columns: repeat(2, 1fr);
		align-items: center;
	}

	.service__grid {
		grid-template-columns: repeat(4, 1fr);
	}

	.customisation__grid {
		grid-template-columns: repeat(4, 1fr);
	}

	.footer__container {
		grid-template-columns: repeat(4, 1fr);
	}

	.footer__col:first-child {
		max-width: 400px;
	}
}

.carousel-container {
	max-width: 100%;
	overflow: hidden;
	position: relative;
	text-align: center;
	padding-bottom: 0;
}

.carousel-container h2 {
	font-size: 2rem;
	width: 100%;
	margin-bottom: 30px;
}

.logotypy {
	display: flex;
	justify-content: center;
	align-items: center;
	animation: scroll-left 100s linear infinite;
	list-style: none;
	padding: 0;
	margin: 0;
	width: max-content; /* Dostosuj szerokość, aby przewijać zawartość */
}

.logotypy li {
	flex: 0 0 auto;
	margin: 0 20px;
}

.logotypy img {
	max-width: 100px;
	height: auto;
}

@keyframes scroll-left {
	0% {
		transform: translateX(0);
	}
	100% {
		transform: translateX(-50%); /* Przesunięcie o połowę zawartości */
	}
}

.showBtn {
	opacity: 1;
	transform: translateY(0);
}

.scrollToTopBtn {
	background-color: rgba(0, 0, 0, 0.36);
	border: 1px solid #fff;
	color: white;
	cursor: pointer;
	font-size: 1.2rem;
	line-height: 2.2em;
	height: 2.4em;
	width: 2.4em;
	position: fixed;
	bottom: 15px;
	right: 10px;
	z-index: 200;
	opacity: 0;
	transform: translateY(100px);
	transition: all 0.5s ease;
}
.scrollToTopBtn.showBtn {
	opacity: 1;
	transform: translateY(0);
}

.scrollToTopBtn:hover {
	background-color: rgba(0, 0, 0, 0.2);
}
